<template>
  <v-card>
    <v-card-title>
      Detalle de la Venta
    </v-card-title>
    <v-card-text :class="$vuetify.breakpoint.smAndDown ? 'dialog-content-scrollerd-smartphone' : 'dialog-content-scrollerd'">
      <v-data-table

        :items-per-page="10"
        :headers="headers"
        :items="productos"
        class="elevation-1"
      >
        <template #[`item.precio_venta`]="props">
          $ {{ props.item.precio_venta }}
        </template>
      </v-data-table>
    </v-card-text>
    <v-card-actions :class="$vuetify.theme.dark ? 'grey darken-4' : 'grey lighten-4'">
      <v-btn class="elevation-2 font-weight-light" @click="cerrarDialog()">
        Cerrar
      </v-btn>
    </v-card-actions>
  </v-card>
</template>

<script lang="ts">
import { Component, Prop, Vue } from 'vue-property-decorator'
import { ProductosStore } from '~/store/ProductosStore'

    @Component
export default class detalleVentas extends Vue {
        @Prop() detalle;

        headers = [
          { text: 'ID', align: 'left', value: 'id' },
          { text: 'Artículo', align: 'left', value: 'articulo' },
          { text: 'Espicificación', align: 'left', value: 'especificacion' },
          { text: 'Talle', align: 'left', value: 'talle' },
          { text: 'Categoría', align: 'left', value: 'categoria' },
          { text: 'Cantidad', align: 'left', value: 'cantidad' },
          { text: 'Precio de venta', align: 'right', value: 'precio_venta' },
          { value: 'action', align: 'right', sortable: false }
        ];

        get productos () {
          return this.detalle && this.detalle.map((p, index) => {
            const x = ProductosStore.listaProductosIndexed[p.productos_idproductos]
            // const z = CategoriasStore.listaCategoriasIndexed[x.categoria_idcategoria]
            return {
              ...p,
              idproductos: x ? x.id : 'Desconocido',
              articulo: x ? x.articulo : 'Desconocido',
              especificacion: x ? x.especificacion : 'Desconocido',
              talle: x ? x.talle : 'Desconocido',
              // categoria: z ? z.nombre : 'Desconocido',
              index
            }
          })
        }

        cerrarDialog () {
          this.$emit('onClose')
        }
}
</script>

<style lang="scss">

</style>
